//////////////////////////////////////////////////////////////////
// Single Author Info
//   dehuber  Daniel E. Huber
//
// Group Info
//   dehuber  Daniel E. Huber
//   jjwinega Joel J. Winegarden
//////////////////////////////////////////////////////////////////

#ifndef IMAGEPROPDLG_H
#define IMAGEPROPDLG_H


#include <qdialog.h>
#include <qlayout.h>
#include <qslider.h>

#include "v4lcamera.h"

class ImagePropDlg : public QDialog
{
      Q_OBJECT

   public:
      ImagePropDlg( QWidget* parent, V4LCamera* camera );
      ~ImagePropDlg();

   private:
      void createSliders( QWidget* parent );

   private slots:
      void setImageProps( int value );
      
   private:
      QVBoxLayout*      main_vbox;
      //QGridLayout*      grid;

      V4LCamera*        m_camera;

      QSlider*          m_brightness;
      QSlider*          m_color;
      QSlider*          m_hue;
      QSlider*          m_contrast;
};

#endif
