//////////////////////////////////////////////////////////////////
// Single Author Info
//   dehuber  Daniel E. Huber
//
// Group Info
//   dehuber  Daniel E. Huber
//   jjwinega Joel J. Winegarden
//////////////////////////////////////////////////////////////////

#ifndef CTCONTROLLER_H
#define CTCONTROLLER_H

#include "image.h"
#include "ctimgproc.h"


class CTController : public CTImgProcListener
{
   public:
      CTController();
      virtual ~CTController();


      void imageProcessed( Image* img, Rect* rect );

   protected:

      int calcAngleFromCenter( int x, int width );

      void sendCommand(int cmd, int angle);

   protected:
      enum
      {
         STOP = 0,
         LEFT,
         RIGHT,
      };
      
   protected:

      float     m_fov;
      float     m_tan_half_fov;
};



#endif
