//////////////////////////////////////////////////////////
// Single Author Info
//   jjwinega  Joel J. Winegarden
//
// Group Info
//   dehuber  Daniel E. Huber
//   jjwinega Joel J. Winegarden
//////////////////////////////////////////////////////////

#include <stdio.h>
#include <stdlib.h>
#include "liblnp.h"

#define MY_PORT 7

#define DEST_HOST 4  // change this to 0 to use any RCX
#define DEST_PORT 2
#define DEST_ADDR ( DEST_HOST << 4 | DEST_PORT )

// initialize lnp for sending to the tower
static inline void init_lnp() {
	if(lnp_init("localhost",0,0,0,0)) {
		fprintf(stderr,"lnp_init failed");	
		exit(1);
	}
}

// send a msg across IR
static inline void send_msg(char c) {
	char data[1];
	data[0] = c;
	lnp_addressing_write(data,1,DEST_ADDR,MY_PORT);
}
